Transaction Wise Settlement Report
This API retrieves Transaction Wise Settlement Report
https://kraken.airpay.co.in/airpay/pay/v4/api/report/settlementHeader
Section titled “Header”| Parameter | Type Value | Description | Value Like |
|---|---|---|---|
| Content-Type required | String | The Content-Type header indicates the media type of the request or response body so the receiver knows how to process the data | application/x-www-form-urlencodeds |
Request Body
Section titled “Request Body”| Parameter | Type Value | Description | Value Like |
|---|---|---|---|
| api_type required | String | API type identifier | TRANSACTION_SETTLEMENT_API |
| version required | Numeric | The version number will come in the response of the Consolidated Settlement Report | 1 |
| settlement_date required | String | Settlement date | YYYY-MM-DD |
| page_no required | Numeric | Call next page until get error code of no record | 1 |
<?php
$data = array();$data['api_type'] = "TRANSACTION_SETTLEMENT_API";$data['version'] = 10;$data['settlement_date'] = "2026-05-08";$data['page_no'] = 1;
$encdata = encrypt(json_encode($data), $secretKey);$checksum = checksum($data);
$payload = [ 'merchant_id' => $merchant_id, 'encdata' => $encdata, 'checksum' => $checksum];
$curl = curl_init();
curl_setopt_array($curl, array( CURLOPT_URL => "https://kraken.airpay.co.in/airpay/pay/v4/api/report/settlement/?token=<access_token>", CURLOPT_RETURNTRANSFER => true, CURLOPT_POST => true, CURLOPT_POSTFIELDS => $payload));
$result = curl_exec($curl);
curl_close($curl);
$response = json_decode($result, true);
print_r($response);
?>Success 200
Section titled “Success 200”| Parameter | Type Value | Description | Value Like |
|---|---|---|---|
| status_code required | String | HTTP status code | 200 |
| response_code required | String | Response code | 00 |
| status required | String | Status of the request | success |
| message required | String | Response message | success |
| data required | Object | Contains transaction details | {} |
| transaction required | Array | Array of transaction records | [] |
| merchant_txn_date_time required | String | Merchant transaction date time | 28-04-2026 20:42:21 |
| transaction_id required | String | Transaction ID | 1885079358 |
| merchant_txn_id required | String | Merchant transaction ID | 100006542084312 |
| split_config_id required | String | Split configuration ID | “ |
| utr_number required | String | Unique Transaction Reference | TESTUTR22026050122576739 |
| id-1 to id-10 required | String | Split settlement amounts with different ids | 1115.40 |
| txn_amount required | String | Transaction amount | 1127.20 |
| platform_fees required | String | Platform fees | 10.00 |
| gst required | String | GST amount | 1.80 |
| net_payable required | String | Net payable amount | 1115.4 |
| profile_id required | String | Profile ID | 18999 |
| payout_date required | String | Payout date | 2026-05-01 |
| rrn_number required | String | RRN number | 560280918527 |
Success Response (JSON)
Section titled “Success Response (JSON)”{ "status_code": "200", "response_code": "00", "status": "success", "message": "success", "data": { "transaction": [ { "merchant_txn_date_time": "15-05-2026 10:05:04", "transaction_id": "490134489", "merchant_txn_id": "1505261150X984257", "split_config_id": "", "utr_number": "KKBKR2242GIJ16XWI02539", "id-1": "95,000.00", "id-2": "0", "id-3": "0", "id-4": "0", "id-5": "0", "id-6": "0", "id-7": "0", "id-8": "0", "id-9": "0", "id-10": "0", "txn_amount": "95036.00", "platform_fees": "30.51", "gst": "5.49", "net_payable": "95000", "profile_id": "3397371242", "payout_date": "2026-05-16", "rrn_number": "560280918527" }, { "merchant_txn_date_time": "15-05-2026 10:55:07", "transaction_id": "8901412251", "merchant_txn_id": "1505264650IY084270", "split_config_id": "", "utr_number": "KKBKR22XTJ51UID80I2539", "id-1": "756.20", "id-2": "0", "id-3": "0", "id-4": "0", "id-5": "0", "id-6": "0", "id-7": "0", "id-8": "0", "id-9": "0", "id-10": "0", "txn_amount": "792.20", "platform_fees": "30.51", "gst": "5.49", "net_payable": "756.2", "profile_id": "3397371242", "payout_date": "2026-05-16", "rrn_number": "6136710069892" } ] }}